Subject: bug#17472: closed (Re: bug#17472: [PATCH] dfa.c (lex): Remove capitalisation of two dfaerror strings)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 May 2014 05:28:02 +0000

Your bug report

#17472: [PATCH] dfa.c (lex): Remove capitalisation of two dfaerror strings

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17472: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17472
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17472: [PATCH] dfa.c (lex): Remove capitalisation of two dfaerror strings
From: Jim Meyering <[email-masked]>
To: behoffski <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 May 2014 22:27:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, May 11, 2014 at 11:12 PM, Jim Meyering <[email-masked]> wrote:
> On Sun, May 11, 2014 at 9:01 PM, behoffski <[email-masked]> wrote:
>> A few months ago, "make syntax-check" would complain if any string that
>> was subject to localisation started with an upper-case character.
>> Almost all messages in Grep conform to this standard.  However,
>> "make syntax-check" no longer complains about two cases in the current
>> master (dfa.c, function lex ()):
>>
>>     dfaerror (_("Invalid content of \\{\\}"));
>>     dfaerror (_("Regular expression too big"));
>>
>> I don't know if this constraint is being relaxed, or if the check has
>> changed somehow.  (Is syntax-check provided via gnulib?)
>>
>> Attached is a simple patch that converts the two error strings above to
>> have a lower-case first character.  This may be useful to help maintain
>> consistent message formatting.
>
> Thanks for the patch.
> That syntax-check rule does indeed come from gnulib, but it
> looks only at error-like functions whose names match /[^rp]error/.
> That hard-coded pattern would better be customizable.
>
> BTW, those strings were added in 2012.
>
> I've adjusted the commit message to be more consistent, and will
> defer pushing your change to master until after the release.
> Many translation teams have already updated strings for the
> release, so I'd rather not change translatable messages
> until after 2.19.

Pushed.

Subject: [PATCH] dfa.c (lex): Remove capitalisation of two dfaerror strings
From: behoffski <[email-masked]>
To: [email-masked]
Date: Mon, 12 May 2014 13:31:24 +0930
List-Id: <debbugs-submit.debbugs.gnu.org>

A few months ago, "make syntax-check" would complain if any string that
was subject to localisation started with an upper-case character.
Almost all messages in Grep conform to this standard.  However,
"make syntax-check" no longer complains about two cases in the current
master (dfa.c, function lex ()):

     dfaerror (_("Invalid content of \\{\\}"));
     dfaerror (_("Regular expression too big"));

I don't know if this constraint is being relaxed, or if the check has
changed somehow.  (Is syntax-check provided via gnulib?)

Attached is a simple patch that converts the two error strings above to
have a lower-case first character.  This may be useful to help maintain
consistent message formatting.

cheers,

behoffski (Brenton Hoff)
Programmer, Grouse Software
>From 5ba304cbbdf89e736dfdd087613ba64e6dc32f50 Mon Sep 17 00:00:00 2001
From: behoffski <[email-masked]>
Date: Mon, 12 May 2014 12:58:56 +0930
Subject: [PATCH] dfa.c (lex): Remove first-letter capitalisation of two
 dfaerror message strings.

---
 src/dfa.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/dfa.c b/src/dfa.c
index 3c9cb75..2408278 100644
--- a/src/dfa.c
+++ b/src/dfa.c
@@ -1409,10 +1409,10 @@ lex (void)
               {
                 if (syntax_bits & RE_INVALID_INTERVAL_ORD)
                   goto normal_char;
-                dfaerror (_("Invalid content of \\{\\}"));
+                dfaerror (_("invalid content of \\{\\}"));
               }
             if (RE_DUP_MAX < maxrep)
-              dfaerror (_("Regular expression too big"));
+              dfaerror (_("regular expression too big"));
             lexptr = p;
             lexleft = lim - p;
           }
-- 
1.8.5.5